Skip to main content
POST
/
firework
/
v4
/
events
/
global
/
_search
Search
curl --request POST \
  --url https://api.flare.io/firework/v4/events/global/_search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": {},
  "size": 123,
  "from": "<string>",
  "order": "<string>",
  "filters": {
    "severity": [
      "<string>"
    ],
    "type": [
      "<string>"
    ],
    "estimated_created_at": {
      "gt": "<string>",
      "gte": "<string>",
      "lt": "<string>",
      "lte": "<string>"
    }
  }
}
'
{
    "items": [
        {
            "metadata": {
                "estimated_created_at": "2019-09-20T16:30:37.589388Z",
                "matched_at": "2019-09-21T10:15:22.123456Z",
                "type": "listing",
                "uid": "listing/apollon_market/9861",
                "severity": "critical"
            },
            "tenant_metadata": {
                "severity": {
                    "original": "low",
                    "override": "critical"
                },
                "tags": [
                    "important",
                ],
                "notes": "This reason why this is tagged as 'important' is: ..."
            },
            "highlights": {
                "description": [
                    "Bank Statement PSD <mark>Template</mark>\r\n\r\nWe promise:\r\n- Your order will be delivered instantly."
                ],
                "title": [
                    "Bank Statement PSD <mark>Template</mark>"
                ]
            }
        }
    ],
    "next": "WzE1Njg5OTcwMzc1ODksICJsaXN0aW5nL2Fwb2xsb25fbWFya2V0Lzk4NjEiXQ%3D%3D"
}

Documentation Index

Fetch the complete documentation index at: https://flare-xavier-add-flario-proxies-documentation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint is subject to quotas and is subject to the Search ratelimiting tier. See Rate Limits and Quotas .

Guides

See the guide for using this endpoint: Search in All of Flare’s Events .
{
    "items": [
        {
            "metadata": {
                "estimated_created_at": "2019-09-20T16:30:37.589388Z",
                "matched_at": "2019-09-21T10:15:22.123456Z",
                "type": "listing",
                "uid": "listing/apollon_market/9861",
                "severity": "critical"
            },
            "tenant_metadata": {
                "severity": {
                    "original": "low",
                    "override": "critical"
                },
                "tags": [
                    "important",
                ],
                "notes": "This reason why this is tagged as 'important' is: ..."
            },
            "highlights": {
                "description": [
                    "Bank Statement PSD <mark>Template</mark>\r\n\r\nWe promise:\r\n- Your order will be delivered instantly."
                ],
                "title": [
                    "Bank Statement PSD <mark>Template</mark>"
                ]
            }
        }
    ],
    "next": "WzE1Njg5OTcwMzc1ODksICJsaXN0aW5nL2Fwb2xsb25fbWFya2V0Lzk4NjEiXQ%3D%3D"
}

Paging

This endpoint supports the Flare standard paging pattern .

Body Parameters

query
object
One of the supported queries.
{
  "type": "domain",
  "fqdn": "<string>"
}
size
number
Limit number of events that will be returned. (Max 10)
from
string
The next value from the last response.
order
string
default:"desc"
The order in which the results will be returned.
filters
object